ProjectLibrary (Gradle API 4.10.2)
Date: 2018-09-19

org.gradle.plugins.ide.idea.model

## Class ProjectLibrary

- java.lang.Object
- - org.gradle.plugins.ide.idea.model.ProjectLibrary

-     @Incubating
      public class ProjectLibrary
      extends Object

  A project-level IDEA library.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProjectLibrary()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addToNode(Node parentNode, PathFactory pathFactory)`
    `boolean` | `equals(Object obj)`
    `Set<File>` | `getClasses()` A set of Jar files or directories containing compiled code.
    `Set<File>` | `getCompilerClasspath()` A set of Jar files containing compiler classes.
    `Set<File>` | `getJavadoc()` A set of Jar files or directories containing javadoc.
    `String` | `getName()` The name of the library.
    `Set<File>` | `getSources()` A set of directories containing sources.
    `String` | `getType()` The type of the library.
    `int` | `hashCode()`
    `void` | `setClasses(Set<File> classes)` A set of Jar files or directories containing source code.
    `void` | `setCompilerClasspath(Set<File> compilerClasspath)`
    `void` | `setJavadoc(Set<File> javadoc)`
    `void` | `setName(String name)`
    `void` | `setSources(Set<File> sources)`
    `void` | `setType(String type)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProjectLibrary

          public ProjectLibrary()

  - ### Method Detail

    - #### getName

          public String getName()

      The name of the library.

    - #### setName

          public void setName(String name)

    - #### getType

          public String getType()

      The type of the library.

    - #### setType

          public void setType(String type)

    - #### getCompilerClasspath

          public Set<File> getCompilerClasspath()

      A set of Jar files containing compiler classes.

    - #### setCompilerClasspath

          public void setCompilerClasspath(Set<File> compilerClasspath)

    - #### getClasses

          public Set<File> getClasses()

      A set of Jar files or directories containing compiled code.

    - #### setClasses

          public void setClasses(Set<File> classes)

      A set of Jar files or directories containing source code.

    - #### getJavadoc

          public Set<File> getJavadoc()

      A set of Jar files or directories containing javadoc.

    - #### setJavadoc

          public void setJavadoc(Set<File> javadoc)

    - #### getSources

          public Set<File> getSources()

      A set of directories containing sources.

    - #### setSources

          public void setSources(Set<File> sources)

    - #### addToNode

          public void addToNode(Node parentNode,
                                PathFactory pathFactory)

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`